| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Enumerations
ThermostatMode.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/ThermostatMode.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Node.h"`
`#include "Driver.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueList.h"`
`#include "tinyxml.h"`

## Enumerations
enum | ThermostatModeCmd { ThermostatModeCmd_Set = 0x01 , ThermostatModeCmd_Get = 0x02 , ThermostatModeCmd_Report = 0x03 , ThermostatModeCmd_SupportedGet = 0x04 , ThermostatModeCmd_SupportedReport = 0x05 }
enum | { ThermostatMode_Off = 0 , ThermostatMode_Heat , ThermostatMode_Cool , ThermostatMode_Auto , ThermostatMode_Auxiliary , ThermostatMode_Resume_On , ThermostatMode_Fan , ThermostatMode_Furnance , ThermostatMode_Dry , ThermostatMode_Moist , ThermostatMode_AutoChangeover , ThermostatMode_HeatingEcon , ThermostatMode_CoolingEcon , ThermostatMode_Away , ThermostatMode_Reserved0E = 0x0E , ThermostatMode_FullPower , ThermostatMode_Reserved10 = 0x10 , ThermostatMode_Reserved11 , ThermostatMode_Reserved12 , ThermostatMode_Reserved13 , ThermostatMode_Reserved14 , ThermostatMode_Reserved15 , ThermostatMode_Reserved16 , ThermostatMode_Reserved17 , ThermostatMode_Reserved18 , ThermostatMode_Reserved19 , ThermostatMode_Reserved1A , ThermostatMode_Reserved1B , ThermostatMode_Reserved1C , ThermostatMode_Reserved1D , ThermostatMode_Reserved1E , ThermostatMode_ManufacturerSpecific = 0x1F , ThermostatMode_Count }

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
ThermostatMode_Off |
ThermostatMode_Heat |
ThermostatMode_Cool |
ThermostatMode_Auto |
ThermostatMode_Auxiliary |
ThermostatMode_Resume_On |
ThermostatMode_Fan |
ThermostatMode_Furnance |
ThermostatMode_Dry |
ThermostatMode_Moist |
ThermostatMode_AutoChangeover |
ThermostatMode_HeatingEcon |
ThermostatMode_CoolingEcon |
ThermostatMode_Away |
ThermostatMode_Reserved0E |
ThermostatMode_FullPower |
ThermostatMode_Reserved10 |
ThermostatMode_Reserved11 |
ThermostatMode_Reserved12 |
ThermostatMode_Reserved13 |
ThermostatMode_Reserved14 |
ThermostatMode_Reserved15 |
ThermostatMode_Reserved16 |
ThermostatMode_Reserved17 |
ThermostatMode_Reserved18 |
ThermostatMode_Reserved19 |
ThermostatMode_Reserved1A |
ThermostatMode_Reserved1B |
ThermostatMode_Reserved1C |
ThermostatMode_Reserved1D |
ThermostatMode_Reserved1E |
ThermostatMode_ManufacturerSpecific |
ThermostatMode_Count |

## ◆ ThermostatModeCmd

enum ThermostatModeCmd

Enumerator
ThermostatModeCmd_Set |
ThermostatModeCmd_Get |
ThermostatModeCmd_Report |
ThermostatModeCmd_SupportedGet |
ThermostatModeCmd_SupportedReport |